rm(list=ls())

n <- log(seq(from=500,to=10000,by=500))

load(file="simul1.Rdata")
rase.1 <- rase; tiempo.1 <- tiempo; rm(list=c("rase","tiempo"))
load(file="simul2.Rdata")
rase.2 <- rase; tiempo.2 <- tiempo; rm(list=c("rase","tiempo"))
load(file="simul3.Rdata")
rase.3 <- rase; tiempo.3 <- tiempo; rm(list=c("rase","tiempo"))
load(file="simul4.Rdata")
rase.4 <- rase; tiempo.4 <- tiempo; rm(list=c("rase","tiempo"))
load(file="simul5.Rdata")
rase.5 <- rase; tiempo.5 <- tiempo; rm(list=c("rase","tiempo"))

log.rase.1 <- apply(log(rase.1[,2,,])-log(rase.1[,1,,]),c(2,3),FUN=mean)
log.rase.2 <- apply(log(rase.2[,2,,])-log(rase.2[,1,,]),c(2,3),FUN=mean)
log.rase.3 <- apply(log(rase.3[,2,,])-log(rase.3[,1,,]),c(2,3),FUN=mean)
log.rase.4 <- apply(log(rase.4[,2,,])-log(rase.4[,1,,]),c(2,3),FUN=mean)
log.rase.5 <- apply(log(rase.5[,2,,])-log(rase.5[,1,,]),c(2,3),FUN=mean)

log.tiempo.1 <- apply(log(tiempo.1[,2,,])-log(tiempo.1[,1,,]),c(2,3),FUN=mean)
log.tiempo.2 <- apply(log(tiempo.2[,2,,])-log(tiempo.2[,1,,]),c(2,3),FUN=mean)
log.tiempo.3 <- apply(log(tiempo.3[,2,,])-log(tiempo.3[,1,,]),c(2,3),FUN=mean)
log.tiempo.4 <- apply(log(tiempo.4[,2,,])-log(tiempo.4[,1,,]),c(2,3),FUN=mean)
log.tiempo.5 <- apply(log(tiempo.5[,2,,])-log(tiempo.5[,1,,]),c(2,3),FUN=mean)

rase.lim <- range(log.rase.1,log.rase.2,log.rase.3,log.rase.4,log.rase.5)
tiempo.lim <- range(log.tiempo.1,log.tiempo.2,log.tiempo.3,log.tiempo.4,log.tiempo.5)

par(mar=c(3.4,3.4,1.1,0.8),fin=c(6.5,8.5),cex.lab=0.8,cex.main=0.8,cex.axis=0.9,mgp = c(2.4, 0.8, 0))
layout(matrix(1:4,2,2,byrow=TRUE), widths=rep(lcm(10),2), heights=rep(lcm(10.2),2), respect = TRUE)

plot(NULL,ylim=rase.lim,xlim=range(n),xlab="",ylab="log(Relative RASE)",main="",las=1,xaxt="n",tck=-0.03)
mtext(text=expression(paste(sigma,"=1",sep="")),line=-1)
points(n,log.rase.1[,1],pch=1)
lines(n,log.rase.1[,1],lty=1)
points(n,log.rase.2[,1],pch=2)
lines(n,log.rase.2[,1],lty=2)
points(n,log.rase.3[,1],pch=3)
lines(n,log.rase.3[,1],lty=3)
points(n,log.rase.4[,1],pch=4)
lines(n,log.rase.4[,1],lty=4)
points(n,log.rase.5[,1],pch=5)
lines(n,log.rase.5[,1],lty=5)
legend(x=min(n)+0.4,y=-0.7,lty=1:3,pch=1:3,legend=c("Design 1","Design 2","Design 3"),horiz=TRUE,box.lwd = 0,box.col = "white",xpd=TRUE)

plot(NULL,ylim=rase.lim,xlim=range(n),xlab="",ylab="",main="",las=1,yaxt="n",xaxt="n")
mtext(text=expression(paste(sigma,"=0.5",sep="")),line=-1)
points(n,log.rase.1[,2],pch=1)
lines(n,log.rase.1[,2],lty=1)
points(n,log.rase.2[,2],pch=2)
lines(n,log.rase.2[,2],lty=2)
points(n,log.rase.3[,2],pch=3)
lines(n,log.rase.3[,2],lty=3)
points(n,log.rase.4[,2],pch=4)
lines(n,log.rase.4[,2],lty=4)
points(n,log.rase.5[,2],pch=5)
lines(n,log.rase.5[,2],lty=5)
legend(x=min(n)-0.4,y=-0.7,lty=4:5,pch=4:5,legend=c("Design 4","Design 5"),horiz=TRUE,box.lwd = 0,box.col = "white",xpd=TRUE)



plot(NULL,ylim=tiempo.lim,xlim=range(n),xlab="log(n)",ylab="log(Relative Execution Time)",main="",las=1,tck=-0.03)
mtext(text=expression(paste(sigma,"=1",sep="")),line=-1)
points(n,log.tiempo.1[,1],pch=1)
lines(n,log.tiempo.1[,1],lty=1)
points(n,log.tiempo.2[,1],pch=2)
lines(n,log.tiempo.2[,1],lty=2)
points(n,log.tiempo.3[,1],pch=3)
lines(n,log.tiempo.3[,1],lty=3)
points(n,log.tiempo.4[,1],pch=4)
lines(n,log.tiempo.4[,1],lty=4)
points(n,log.tiempo.5[,1],pch=5)
lines(n,log.tiempo.5[,1],lty=5)


plot(NULL,ylim=tiempo.lim,xlim=range(n),xlab="log(n)",ylab="",main="",las=1,yaxt="n",tck=-0.03)
mtext(text=expression(paste(sigma,"=0.5",sep="")),line=-1)
points(n,log.tiempo.1[,2],pch=1)
lines(n,log.tiempo.1[,2],lty=1)
points(n,log.tiempo.2[,2],pch=2)
lines(n,log.tiempo.2[,2],lty=2)
points(n,log.tiempo.3[,2],pch=3)
lines(n,log.tiempo.3[,2],lty=3)
points(n,log.tiempo.4[,2],pch=4)
lines(n,log.tiempo.4[,2],lty=4)
points(n,log.tiempo.5[,2],pch=5)
lines(n,log.tiempo.5[,2],lty=5)
